curl --request GET \
--url https://api.aisa.one/apis/v1/kalshi/markets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/kalshi/markets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/kalshi/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"ticker": "<string>",
"event_ticker": "<string>",
"market_type": "binary",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"open_time": "2023-11-07T05:31:56Z",
"close_time": "2023-11-07T05:31:56Z",
"latest_expiration_time": "2023-11-07T05:31:56Z",
"settlement_timer_seconds": 123,
"status": "initialized",
"yes_bid_dollars": "0.5600",
"yes_bid_size_fp": "10.00",
"yes_ask_dollars": "0.5600",
"yes_ask_size_fp": "10.00",
"no_bid_dollars": "0.5600",
"no_ask_dollars": "0.5600",
"last_price_dollars": "0.5600",
"volume_fp": "10.00",
"volume_24h_fp": "10.00",
"result": "yes",
"can_close_early": true,
"open_interest_fp": "10.00",
"notional_value_dollars": "0.5600",
"previous_yes_bid_dollars": "0.5600",
"previous_yes_ask_dollars": "0.5600",
"previous_price_dollars": "0.5600",
"settlement_bounds_type": "default",
"expiration_value": "<string>",
"rules_primary": "<string>",
"rules_secondary": "<string>",
"price_level_structure": "<string>",
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"title": "<string>",
"subtitle": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"expiration_time": "2023-11-07T05:31:56Z",
"settlement_value_dollars": "0.5600",
"settlement_ts": "2023-11-07T05:31:56Z",
"settlement_floor_dollars": "0.5600",
"occurrence_datetime": "2023-11-07T05:31:56Z",
"fee_waiver_expiration_time": "2023-11-07T05:31:56Z",
"early_close_condition": "<string>",
"strike_type": "greater",
"floor_strike": 123,
"cap_strike": 123,
"functional_strike": "<string>",
"custom_strike": {},
"mve_collection_ticker": "<string>",
"mve_selected_legs": [
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"side": "<string>",
"yes_settlement_value_dollars": "0.5600"
}
],
"primary_participant_key": "<string>",
"is_provisional": true,
"exchange_index": 0
}
],
"cursor": "<string>"
}获取 Kalshi 市场
列出 Kalshi(受 CFTC 监管的美国预测交易所)上的市场,并带以美元计价的实时买卖报价。
tickers(逗号分隔)获取指定市场,用 event_ticker / series_ticker 限定分组,或用 status、search 以及创建 / 收盘 / 结算时间区间收窄范围。
返回 markets[],包含 title、status、yes_bid_dollars / yes_ask_dollars、last_price_dollars、volume_fp、open_interest_fp 和 rules_primary(结算标准),并附带用于分页的 cursor。
如需已成交记录而不是报价,请使用 get_kalshi_trades。如需在承载类似问题的加密原生场所查询,请使用 get_polymarket_markets。
https://mcp.aisa.one/mcp —— Claude Code、
Codex、Cursor、VS Code 都可以。鉴权走 OAuth:客户端打开浏览器,你点一次
Allow,不需要粘贴任何 key。各客户端的具体命令和每次调用的价格见
aisa.one/zh-cn/mcp。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.
Event ticker to filter by. Only a single event ticker is supported.
每页结果数。默认为 100,最大值为 1000。
0 <= x <= 1000Filter items that close before this Unix timestamp
Filter items that created before this Unix timestamp
Filter items that settled before this Unix timestamp
Return markets with metadata updated at or before this Unix timestamp (in seconds). Tracks non-trading changes only. May be combined with min_updated_ts and mve_filter=exclude. May also be combined with series_ticker, which requires mve_filter=exclude. Incompatible with other filters.
Filter items that close after this Unix timestamp
Filter items that created after this Unix timestamp
Filter items that settled after this Unix timestamp
Return markets with metadata updated later than this Unix timestamp (in seconds). Tracks non-trading changes only. May be combined with max_updated_ts and mve_filter=exclude. May also be combined with series_ticker, which requires mve_filter=exclude. Incompatible with other filters.
Filter by multivariate events (combos). 'only' returns only multivariate events, 'exclude' excludes multivariate events.
only, exclude Filter by series ticker
Filter by market status. Leave empty to return markets with any status.
unopened, open, paused, closed, settled Filter by specific market tickers. Comma-separated list of market tickers to retrieve.